## $Id: utils.py 11844 2014-10-15 07:06:39Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from copy import deepcopy
from waeup.kofa.utils.utils import KofaUtils

class CustomKofaUtils(KofaUtils):
    """A collection of methods subject to customization.
    """

    INST_TYPES_DICT = {
        'none': '',
        }

    STUDY_MODES_DICT = {
        'na': 'not applicable',
        }

    APP_CATS_DICT = {
        'pal': 'Pharmacist Annual License',
        'pl': 'Premises License',
        'ptap': 'Pharmacy Technician Annual Permit',
        'ppmvl': 'Patent and Proprietary Medicine Vendor License',
        'pmrp': 'Pharmaceutical and Medical Representative Permit',
        'sop': 'Scientific Office Permit',
        }

    PAYMENT_CATEGORIES = {
        'application': 'Registration Fee',
        }

    SELECTABLE_PAYMENT_CATEGORIES = deepcopy(PAYMENT_CATEGORIES)

    PREVIOUS_PAYMENT_CATEGORIES = deepcopy(SELECTABLE_PAYMENT_CATEGORIES)

    BALANCE_PAYMENT_CATEGORIES = {
        'registration': 'Registration Fee',
        }

    MODE_GROUPS = {
        'All': ('all',),
        }